Summary: macro module for the Apache HTTP Server
Name: mod_macro
Version: 1.1.10
Release: 1%{?dist}
License: ASL 1.1
Group: System Environment/Daemons
URL: http://cri.ensmp.fr/~coelho/mod_macro/
Source: http://cri.ensmp.fr/~coelho/mod_macro/mod_macro-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: macro httpd httpd-mmn = %([ -a %{_includedir}/httpd/.mmn ] && cat %{_includedir}/httpd/.mmn || echo missing)
BuildRequires: httpd-devel

%description
mod_macro is an Apache module for finding the country that a web request
originated from.  It uses the macro library and database to perform
the lookup.  It is free software, licensed under the Apache license.

%prep

%setup -q -n mod_macro-%{version}

%build
/usr/sbin/apxs -c mod_macro.c

%install
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d/
install -Dp .libs/mod_macro.so %{buildroot}%{_libdir}/httpd/modules/mod_macro.so

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc INSTALL README*
%{_libdir}/httpd/modules/mod_macro.so

%changelog
* Thu Jul 08 2010 Steven Lu <sjlu@nbcs.rutgers.edu> - 1.1.10-1
- CentOS port
